Package jxl

# Class CellFeatures

java.lang.Object
jxl.biff.BaseCellFeatures
jxl.CellFeatures

Direct Known Subclasses:
  `WritableCellFeatures`

public class CellFeatures extends jxl.biff.BaseCellFeatures
Container for any additional cell features

## Field Summary

### Fields inherited from class jxl.biff.BaseCellFeatures

`BETWEEN, EQUAL, GREATER_EQUAL, GREATER_THAN, LESS_EQUAL, LESS_THAN, logger, NOT_BETWEEN, NOT_EQUAL`

## Constructor Summary

Constructors
Constructor
Description
`CellFeatures()`
Constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`getComment()`
Accessor for the cell comment
`String`
`getDataValidationList()`
Gets the data validation list
`Range`
`getSharedDataValidationRange()`
Gets the range of cells to which the data validation applies.

### Methods inherited from class jxl.biff.BaseCellFeatures

`getCommentDrawing, getCommentHeight, getCommentWidth, getDVParser, hasDataValidation, hasDropDown, removeComment, removeDataValidation, removeSharedDataValidation, setComboBox, setComment, setComment, setCommentDrawing, setDataValidationList, setDataValidationRange, setDataValidationRange, setNumberValidation, setNumberValidation, setReadComment, setValidationSettings, setWritableCell, shareDataValidation`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CellFeatures

public CellFeatures()
Constructor

## Method Details

### getComment

public String getComment()
Accessor for the cell comment

Returns:
  the cell comment, or NULL if this cell doesn't have a comment associated with it

### getDataValidationList

public String getDataValidationList()
Gets the data validation list

Overrides:
  `getDataValidationList` in class `jxl.biff.BaseCellFeatures`
Returns:
  the data validation list

### getSharedDataValidationRange

public Range getSharedDataValidationRange()
Gets the range of cells to which the data validation applies. If the validation applies to just this cell, this will be reflected in the returned range

Overrides:
  `getSharedDataValidationRange` in class `jxl.biff.BaseCellFeatures`
Returns:
  the range to which the same validation extends, or NULL if this cell doesn't have a validation